View Issue Details

IDProjectCategoryLast Update
0023254AI War 2[All Projects] Bug - GameplayJun 17, 2020 1:12 pm
ReportertadrinthAssigned To 
Severitymajor 
Status newResolutionopen 
Product Version2.048 Bugfixes 
Fixed in Version 
Summary0023254: Force Field Guardians should not push human force field generators around
DescriptionJust had a force field generator guardian cruise into a planet, push the force fields out of the way, and nuke the command station.
TagsNo tags attached.

Activities

BadgerBadger

Jun 5, 2020 12:28 pm

manager   ~0057183

I'm pretty sure this is not a bug; it's working as coded. Do you think its a balance problem?

Lord Of Nothing

Jun 5, 2020 1:29 pm

reporter   ~0057199

That doesn't seem right to me at at all. A forcefield guardian has no Norris effect, and a much lower collision priority, than any stationary forcefield generator.
Even if it is intended it's certainly a balance issue. I don't think I've ever seen it happen, though.

tadrinth

Jun 5, 2020 4:01 pm

reporter   ~0057205

I would call it both a design and balance issue.

Mostly, I just wasn't expecting a FF gen (which I think of as a structure) to be pushed around by *anything*. That's certainly how it worked in AIWC, so this was an extremely unpleasant surprise.

I think AIWC was correct in having it work that way, though. Those force field generators were acting as an effective 20x health boost to my command station. AIWC did have units which could pass through or shoot through forcefields. Those units tended to pay a very high price in firepower, durability, and/or speed for that privilege, and the most annoying of them (eyebots) could be completely countered by unlocking anti-missile turrets, which would negate all their shots against everything in a radius.

And, in particular, none of those units allowed any other AI units to bypass the forcefields; if you killed all the eyebots, the rest of the AI's forces would have to batter down the force field as normal to kill your command station or major data center or GCA. A FF Guardian negates your force fields for everything else the AI has. And I think it's very odd to balance the FF guardian around this ability, which is very much an edge case; I don't think the FF guardian was even trying to shove my stuff out of the way, it was an Exo strikeforce pathing through my planets. So this is a behavior that the average player might not discover for a very long time, and when they do, it's likely to be a very unpleasant shock.

The same argument holds for humans shoving AI FF gens around; a FF frigate should be balanced around the protection it provides, not the ability to negate AI force fields, especially since that is supposed to be the specialty of the Stingray ship type.

I'm assuming the marks involved don't matter either, a Mark I FF Guardian can shove a Mark VII FF Generator out of the way, right? Marks should generally matter; there can be exceptions, but this doesn't seem like a good one.

This behavior also dramatically nerfs logistics command stations, since they have more forcefields and less personal health than military stations. Logistic stations have always been hard to balance against military stations, they don't need any nerfs.

It makes the tower defense element of carefully arranging all your defenses less interesting when you can't rely on them staying put; the FF guardian didn't just uncover my command station, he covered my turrets, halving their damage!

If human force field generators just need to be made immobile, honestly I'm fine with that. It is nice that you can move them around without rebuilding them, but I would rather pay to rebuild them if I need to move them than deal with the headache of having to plan around FF guardians possibly shoving them around.

tadrinth

Jun 5, 2020 4:11 pm

reporter   ~0057206

At the very least the behavior should match AI FF gens. If they can push mine around, I should be able to push theirs around; otherwise some poor player is going to see his FF generators get pushed out of the way, go out of his way to cap a Forcefield Frigate just to return the favor, and then be extremely frustrated when it doesn't work.

But mostly, I think the current behavior is confusing, and that's reason enough to change it. The balance issues are secondary.

tadrinth

Jun 6, 2020 1:03 am

reporter   ~0057211

I had to go dig through the patch notes to remember what the heck 'Norris Effect' means. Apparently it means this behavior, the ability to push forcefields around. From the patch notes, it looks likes this was intended to be for things like the AI Overlord and Astro Trains so that you can't pin them in place with Force Fields.

I would prefer to make those ships forcefield immune (in the sense of being able to freely fly through opposing forcefields). If the AI Overlord needs a secondary weapon that does ludicrous damage to bubble forcefields so that any ships accompanying it can keep up with it, that seems like a better way to handle it; it's the overlord, it can be scary. Or a secondary weapon that stuns force fields, like the scourge have.

I don't think Forcefield Guardians need either the Norris Effect or the ability to fly through opposing forcefields.

tadrinth

Jun 17, 2020 1:12 pm

reporter   ~0057341

One other thing I noticed is that sending a stack of Parasites against a stack of Force Field Guardians produces... interesting results. As soon as you kill the first, one, it appears as a zombie right next to the rest of the stack. This sometimes results in the two competing Norris effects catapulting both the regular and zombified guardians out to the edge of the gravity well.

Issue History

Date Modified Username Field Change
Jun 5, 2020 2:07 am tadrinth New Issue
Jun 5, 2020 12:28 pm BadgerBadger Note Added: 0057183
Jun 5, 2020 1:29 pm Lord Of Nothing Note Added: 0057199
Jun 5, 2020 4:01 pm tadrinth Note Added: 0057205
Jun 5, 2020 4:11 pm tadrinth Note Added: 0057206
Jun 6, 2020 1:03 am tadrinth Note Added: 0057211
Jun 17, 2020 1:12 pm tadrinth Note Added: 0057341